Bug 1417955 - [RFE] Need to have group cli option to set all md-cache options using a single command
Summary: [RFE] Need to have group cli option to set all md-cache options using a singl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: md-cache
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: RHGS 3.2.0
Assignee: Poornima G
QA Contact: Vivek Das
URL:
Whiteboard:
Depends On: 1418249
Blocks: 1351503
TreeView+ depends on / blocked
 
Reported: 2017-01-31 13:57 UTC by surabhi
Modified: 2017-03-23 06:04 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.8.4-14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1418249 (view as bug list)
Environment:
Last Closed: 2017-03-23 06:04:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description surabhi 2017-01-31 13:57:09 UTC
Description of problem:

To set md-cache options using a single command , there is group cli option needed for the same.

 gluster volume set <volname> features.cache-invalidation on
  gluster volume set <volname> features.cache-invalidation-timeout 600
  gluster volume set <volname> performance.stat-prefetch on
  gluster volume set <volname> performance.cache-samba-metadata on     : Not needed in case of non-samba 
  gluster volume set <volname> performance.cache-invalidation on
  gluster volume set <volname> performance.md-cache-timeout 600
Version-Release number of selected component (if applicable):


Further details to follow.

Comment 4 Atin Mukherjee 2017-02-01 12:02:37 UTC
upstream patch : https://review.gluster.org/16503

Comment 5 Atin Mukherjee 2017-02-06 04:06:52 UTC
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/96839/

Comment 7 Vivek Das 2017-02-07 11:45:35 UTC
# gluster vol set vol-i group metadata-cache
volume set: success
# 
# gluster volume info vol-i
 
Volume Name: vol-i
Type: Distributed-Replicate
Volume ID: a8736351-8a8a-4cf2-be93-af54e58732a4
Status: Started
Snapshot Count: 0
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: dhcp41-253.lab.eng.blr.redhat.com:/bricks/brick0/vol-i_brick0
Brick2: dhcp42-82.lab.eng.blr.redhat.com:/bricks/brick0/vol-i_brick0
Brick3: dhcp43-133.lab.eng.blr.redhat.com:/bricks/brick0/vol-i_brick0
Brick4: dhcp42-238.lab.eng.blr.redhat.com:/bricks/brick0/vol-i_brick0
Options Reconfigured:
network.inode-lru-limit: 50000
performance.md-cache-timeout: 600
performance.cache-invalidation: on
features.cache-invalidation-timeout: 600
features.cache-invalidation: on
user.smb: enable
user.cifs: enable
performance.stat-prefetch: on
transport.address-family: inet
nfs.disable: off
performance.readdir-ahead: on
server.allow-insecure: on
storage.batch-fsync-delay-usec: 0

The group option is setting required md-cache options. So marking it as verified.

Comment 9 errata-xmlrpc 2017-03-23 06:04:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.